Subject: Re: [PATCH net-next 2/4] ynl: populate most of the ethtool spec

From: Jakub Kicinski <[email-masked]>
Date: Mon, 20 Mar 2023 11:59:10 -0700

On Mon, 20 Mar 2023 11:03:33 -0700 Stanislav Fomichev wrote:
> On Fri, Mar 17, 2023 at 9:33 PM Jakub Kicinski <[email-masked]> wrote:
> > On Fri, 17 Mar 2023 17:23:38 -0700 Stanislav Fomichev wrote:  
> > > Things that are not implemented:
> > > - cable tests
> > > - bitmaks in the requests don't work (needs multi-attr support in ynl.py)
> > > - stats-get seems to return nonsense  
> >
> > Hm. What kind of nonsense?  
> 
> {'grp': {'id': 1, 'ss-id': 18}}
> 
> But I guess that's because I'm not passing the group bitmask correctly?

Hm, or the driver you're trying does not have any _structured_ stats?
Does

  ethtool -S \* --all-groups

show anything? Note that these are not all the old ethtool -S stats.

> > > - notifications are not tested
> > > - features-nft has hard-coded value:13, not sure why it skews  
> >
> > ETHTOOL_MSG_FEATURES_SET_REPLY exists but there is no reply:
> > section in the spec.  
> 
> Ah, good catch, I guess something like this would do? It doesn't have
> to be a new empty msg?
> reply:
>   attributes: *feature

Oh right, there's an actual reply to features. I thought it was just
reserved but we need to return to the user space what we managed to
set and what we didn't. Makes sense.